{% from 'utils/_form_input.html' import form_builder %}
{% from 'utils/_form_error.html' import errors %}

<div class="hero-body">
    <div class="container">
        <div class="columns is-centered">
            <div class="column is-8-tablet is-6-desktop is-6-widescreen">
                <form method="post" class="box is-shadowless">
                    {% csrf_token %}

                    {{ errors(form) }}

                    <div class="row">
                        <h1 class="title">
                            {{ "Login" if page == "login" else "Sign up" }}
                        </h1>

                        <div class="card">
                            <div class="card-content">
                                {% if page == "login" %}
                                    {{ form_builder(form.username) }}
                                    {{ form_builder(form.password) }}
                                {% else %}
                                    {{ form_builder(form.username) }}
                                    {{ form_builder(form.password1, {"addons": "fa-solid fa-eye", 'settings': ['password_strength']}) }}
                                    {{ form_builder(form.password2, {"addons": "fa-solid fa-eye", 'settings': ['password_strength']}) }}
                                {% endif %}

                                <div class="field buttons">
                                    <button type="submit" class="button is-fullwidth is-success">
                                        <span>
                                            {{ "Login" if page == "login" else "Sign in" }}
                                        </span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>